<?xml version="1.0" encoding="UTF-8"?>
<project name="blancoEclipseAST2Cg" default="build" basedir=".">
	<!-- blancoAnt(0.2.1)により自動生成されました。 (2011/10/17) -->

	<target name="build" depends="meta.clean,meta,compile,jar,pack" />

	<property name="version" value="0.5.1" />

	<property name="project" value="blancoEclipseAST2Cg" />
	<property name="project.lower" value="blancoeclipseast2cg" />
	<property name="project.zip" value="${project}-${version}-src.zip" />
	<property name="project.main.jar" value="blancoeclipseast2cg-${version}.jar" />

	<property name="encoding" value="UTF-8" />
	<property name="eclipse.dir" value="C:/Program Files/eclipse" />

	<!-- Antタスク定義 begin -->

	<!-- Blanco2g Task -->
	<taskdef name="blanco2g" classname="blanco.blanco2g.task.Blanco2gTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib/blanco1g" includes="*.jar" />
			<fileset dir="lib/blanco2g" includes="*.jar" />
			<fileset dir="lib/blancofw" includes="*.jar" />
			<fileset dir="lib/eclipse" includes="*.jar" />
		</classpath>
	</taskdef>

	<!-- Antタスク定義 end -->

	<!-- 自分自身のAntタスク。 -->

	<target name="pack">
		<echo>packing project</echo>
		<delete file="${project.zip}" />
		<delete dir="bin" />
		<delete dir="javadoc" />

		<delete dir="tmp" />

		<copy todir="lib">
			<fileset dir=".">
				<include name="${project.lower}-*.jar" />
			</fileset>
		</copy>

		<delete>
			<fileset dir=".">
				<include name="${project.lower}-*.jar" />
			</fileset>
		</delete>

		<zip destfile="${project.zip}">
			<zipfileset dir="." prefix="${project}" excludes="${project.zip},**/*.class" />
		</zip>

	</target>

	<target name="jar">
		<echo>building jar</echo>

		<delete file="${project.main.jar}" />
		<jar destfile="${project.main.jar}">
			<zipfileset dir="doc" prefix="doc" />
			<!-- classの取り込み (※sampleは除外) -->
			<zipfileset dir="bin" includes="**/*" excludes="blanco/sample/**" />
			<!-- Javaソースコード(通常)の取り込み (※sampleは除外) -->
			<zipfileset dir="src" includes="**/*" prefix="src" excludes="blanco/sample/**" />
			<!-- Javaソースコード(自動生成)の取り込み (※sampleは除外) -->
			<zipfileset dir="blanco/main" includes="**/*.java" prefix="src" excludes="blanco/sample/**" />
			<!-- プロパティファイルの取り込み -->
			<zipfileset dir="blanco/main" includes="**/*.properties" excludes="blanco/sample/**" />
			<!-- 自動生成の原料 (meta) の取り込み -->
			<zipfileset dir="meta" prefix="doc/meta" />
		</jar>
	</target>

	<target name="compile">
		<delete dir="bin" />
		<mkdir dir="bin" />
		<javac destdir="bin" debug="true" source="1.5" target="1.5" fork="false" encoding="${encoding}">
			<src path="blanco/main/" />
			<src path="src/" />
			<classpath>
				<!-- ワイルドカードで一括取り込み -->
				<fileset dir="lib/blancofw" includes="*.jar" />
				<fileset dir="lib/blanco1g" includes="*.jar" />
				<fileset dir="lib/blanco2g" includes="*.jar" />
				<fileset dir="lib/eclipse" includes="*.jar" />
				<pathelement path="${eclipse.dir}/plugins/org.junit_3.8.2.v20080602-1318/junit.jar" />
			</classpath>
			<include name="**/*.java" />
		</javac>
	</target>

	<target name="javadoc">
		<echo>JavaDocを生成します。</echo>
		<delete dir="javadoc" />
		<javadoc destdir="javadoc" encoding="${encoding}">
			<fileset dir="src" includes="**/*.java" />
			<fileset dir="blanco/main" includes="**/*.java" />
			<classpath>
				<fileset dir="lib" includes="*.jar" />
				<fileset dir="lib.ant" includes="*.jar" />
			</classpath>
		</javadoc>
	</target>

	<target name="meta.clean">
		<delete>
			<fileset dir="blanco/main">
				<include name="**/*.java" />
				<include name="**/*.properties" />
			</fileset>
		</delete>
	</target>

	<target name="meta">
		<blanco2g sourcedir="src" sourcedir2="blanco/main" />
		<!-- TODO: ここに自身のantタスクを追加してください。 -->
	</target>

</project>